//
// Copyright (c) 2015, MindFusion LLC - Bulgaria.
//

using System;
using System.Globalization;
using System.Windows.Data;
using System.Xml.Linq;


namespace MindFusion.Reporting.Wpf.Samples.CS.LinqBinding
{
	public class IntToBoolConverter : IValueConverter
	{
		public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
		{
			if (value is int)
				return ((int)value) != 0;

			return value;
		}

		public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
		{
			throw new NotImplementedException();
		}
	}
}
